<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

class adminController extends AbstractManiaHostController
{
	function index()
	{
		if(!$this->data->user->isAdmin())
		$this->request->redirectManialinkArgList('user','index');

		$this->request->registerReferer();
		//Change registration status settings
		switch (REGISTRATION_STATUS)
		{
			case 0:
				$this->response->statusButtonStatus = Icons64x64_1::LvlRed;
				$this->response->statusInfosLabel = __('registration_closed');
				break;
			case 1:
				$this->response->statusButtonStatus = Icons64x64_1::LvlYellow;
				$this->response->statusInfosLabel = __('registration_vip');
				break;
			case 2:
				$this->response->statusButtonStatus = Icons64x64_1::LvlGreen;
				$this->response->statusInfosLabel = __('registration_open');
				break;
		}

		switch (STATISTICS_GRAPHIC_STATUS)
		{
			case 0:
				$this->response->graphicStatsStatusButton = Icons64x64_1::LvlRed;
				$this->response->graphicStatsStatusInfo = __('maniahome_inactive_info');
				break;
			case 1:
				$this->response->graphicStatsStatusButton = Icons64x64_1::LvlGreen;
				$this->response->graphicStatsStatusInfo = __('maniahome_active_info');
				break;
		}

		$this->response->graphicStatusButtonLink = $this->request->createLink(null, 'changestStatisticsGraphicStatus');
		$this->response->statusButtonLink = $this->request->createLink(null,'changeRegistrationStatus');
		$this->request->delete('registrationStatus');
	}

	function changestStatisticsGraphicStatus()
	{
		if(!$this->data->user->isAdmin())
		$this->request->redirectManialinkArgList('user','index');

		$graphicStatsStatus = (STATISTICS_GRAPHIC_STATUS + 1) % 2;
		ConfigDao::setConfig(array('STATISTICS_GRAPHIC_STATUS' => $graphicStatsStatus));
		$this->request->redirectManialink(null,'index');
	}

	function changeRegistrationStatus()
	{
		if(!$this->data->user->isAdmin())
		$this->request->redirectManialinkArgList('user','index');

		$registrationStatus = (REGISTRATION_STATUS + 1) % 3;
		ConfigDao::setConfig(array('REGISTRATION_STATUS' => $registrationStatus));
		$this->request->redirectManialink(null,'index');
	}

	function changeAppSettings($title = APP_TITLE, $url = APP_URL)
	{
		if(!$this->data->user->isAdmin())
		$this->request->redirectManialinkArgList('user','index');
		$change = array();
		if($title != APP_TITLE)
		$change['APP_TITLE'] = $title;
			
		if($url != APP_URL)
		$change['APP_URL'] = $url;
		if(count($change))
		{
			ConfigDao::setConfig($change);
		}
		$this->request->redirectManialink(null,'index');
	}

	function user()
	{
		if(!$this->data->user->isAdmin())
		$this->request->redirectManialinkArgList('user','index');

		$this->request->registerReferer();
	}

	function changeUserSettings($vips = VIP_USERS, $userSpace = SPACE_PER_USER, $maxUser = MAX_USER)
	{
		if(!$this->data->user->isAdmin())
		$this->request->redirectManialinkArgList('user','index');
		$this->request->delete('vips');
		$this->request->delete('userSpace');
		$this->request->delete('maxUser');

		$change = array();
		if(preg_match('#^[A-Za-z0-9-_.,]+$#u', $vips))
		{
			if($vips != VIP_USERS)
			{
				$change['VIP_USERS'] = $vips;
			}
		}
		else
		{
			$this->response->dialogTitle = __('error');
			$this->response->dialogButtonLabel = __('continue');
			$this->response->dialogButtonManialink = $this->request->createLinkArgList(null,'user');
			$this->response->dialogMessage = __('vip_string_error');
			$this->response->registerDialog('dialogs','generic_dialog');
			$this->chainActionAndView(null,'user');
			return;
		}
		$userSpace = $userSpace * 1024 *1024;
		if($userSpace > SPACE_PER_USER)
		{
			$change['SPACE_PER_USER'] = $userSpace;
		}
		elseif($userSpace < SPACE_PER_USER)
		{
			$this->response->dialogTitle = __('error');
			$this->response->dialogButtonLabel = __('continue');
			$this->response->dialogButtonManialink = $this->request->createLinkArgList(null,'user');
			$this->response->dialogMessage = __('userspace_reduce_error');
			$this->response->registerDialog('dialogs','generic_dialog');
			$this->chainActionAndView(null,'user');
			return;
		}

		$userCount = UserDao::getUsersCount();
		if($maxUser != MAX_USER && $maxUser > $userCount)
		{
			$change['MAX_USER'] = $maxUser;
		}
		elseif($maxUser < $userCount)
		{
			$this->response->dialogTitle = __('error');
			$this->response->dialogButtonLabel = __('continue');
			$this->response->dialogButtonManialink = $this->request->createLinkArgList(null,'user');
			$this->response->dialogMessage = __('maxuser_reduce_error');
			$this->response->registerDialog('dialogs','generic_dialog');
			$this->chainActionAndView(null,'user');
			return;
		}

		if(count($change))
		{
			ConfigDao::setConfig($change);
		}
		$this->request->redirectManialinkArgList(null,'user');
	}

	function maniahome()
	{
		if(!$this->data->user->isAdmin())
		$this->request->redirectManialinkArgList('user','index');

		$this->request->registerReferer();

		switch (MANIAHOME_STATUS)
		{
			case 0:
				$this->response->maniaHomeStatusButton = Icons64x64_1::LvlRed;
				$this->response->maniaHomeStatusInfo = __('maniahome_inactive_info');
				break;
			case 1:
				$this->response->maniaHomeStatusButton = Icons64x64_1::LvlGreen;
				$this->response->maniaHomeStatusInfo = __('maniahome_active_info');
				break;
		}
	}

	function changeManiahomeStatus()
	{
		if(!$this->data->user->isAdmin())
		$this->request->redirectManialinkArgList('user','index');
		$maniahomeStatus = (MANIAHOME_STATUS + 1) % 2;
		ConfigDao::setConfig(array('MANIAHOME_STATUS' => $maniahomeStatus));
		$this->request->redirectManialink(null,'maniahome');
	}

	function changeManiaHomeSettings($username,$password,$name)
	{
		if(!$this->data->user->isAdmin())
		$this->request->redirectManialinkArgList('user','index');
		$config = array();

		if($username && $username != MANIAHOME_USERNAME)
		{
			$config['MANIAHOME_USERNAME'] = $username;
		}

		if($password && $password != MANIAHOME_PASSWORD)
		{
			$config['MANIAHOME_PASSWORD'] = $password;
		}

		if($name && $name != MANIAHOME_NAME)
		{
			$config['MANIAHOME_NAME'] = $name;
		}

		if(count($config))
		{
			ConfigDao::setConfig($config);
		}
		$this->request->redirectManialink(null,'maniahome');
	}

	function changeManiahomePicture($filename = '')
	{
		if(!$this->data->user->isAdmin())
		$this->request->redirectManialinkArgList('user','index');
		if(!$filename)
		{
			$this->response->dialogMessage = __('upload_dialog_choose_file');
			$this->response->dialogTitle = __('maniahome_picture_title');
			$this->response->dialogButtonLabel = __('upload');
			$this->response->dialogButton2Label = __('cancel');
			$this->response->dialogButton2Manialink = $this->request->createLink(null,'maniahome');
			$this->response->registerDialog('dialogs','upload_dialog');
			$this->chainActionAndView(null,'maniahome');
			return;
		}
		else
		{
			if ($filename != 'background.dds' && !preg_match('/(\\.jpg|\\.png|\\.dds)\\z/i', $filename))
			{
				$this->response->dialogTitle = __('upload_error');
				$this->response->dialogMessage = __('maniahome_picture_format_invalide',$filename);
				$this->response->dialogButtonLabel = __('continue');
				$this->response->dialogButtonManialink = $this->request->createLinkArgList(null,'maniahome');
				$this->response->registerDialog('dialogs','generic_dialog');
				$this->chainActionAndView(null,'maniahome');
				return;
			}

			$folder_user = APP_PATH.'images/';

			$fileSizeMax = 1024 * 1024;
			$uploadHandler = new ManialinkUploadHandler($folder_user,$fileSizeMax);
			try
			{
				$uploadHandler->uploadFile($filename);
			}
			catch(Exception $e)
			{
				if(file_exists($folder_user.'/'.$filename))
				$uploadHandler->deleteUploadedFile();

				if(APP_DEBUG_LEVEL)
				{
					throw new FrameworkImportedException($e);
				}
				else
				{
					$this->response->dialogTitle = __('upload_error');
					$this->response->dialogMessage = 'Fail to upload '.$filename;
					$this->response->dialogButtonLabel = __('continue');
					$this->response->dialogButtonManialink = $this->request->createLinkArgList(null,'maniahome');
					$this->response->registerDialog('dialogs','generic_dialog');
					$this->chainActionAndView(null,'maniahome');
					return;
				}
			}

			try
			{
				ConfigDao::setConfig(array('MANIAHOME_PICTURE' => APP_IMAGE_DIR_URL.$filename));
			}
			catch(Exception $e)
			{
				$uploadHandler->deleteUploadedFile();
				if(APP_DEBUG_LEVEL)
				{
					throw new FrameworkImportedException($e);
				}
				else
				{
					$this->response->dialogTitle = __('upload_error');
					$this->response->dialogMessage = 'Failed to save settings in database. Try again.';
					$this->response->dialogButtonLabel = __('continue');
					$this->response->dialogButtonManialink = $this->request->createLinkArgList(null,'index');
					$this->response->registerDialog('dialogs','generic_dialog');
					$this->chainActionAndView(null,'maniahome');
					return;
				}
			}
			$this->request->redirectManialinkArgList(null,'maniahome');
		}
	}
}
?>