<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

require_once(FOLDER_TO_LIBS_GRAPHES.'GraphManager.class.php');

class statisticsController extends AbstractManiaHostController
{
	function index()
	{
		$this->request->registerReferer();
		try
		{
			$this->response->userCount = UserDao::getUsersCount();
			$this->response->spaceConsumption = octetToString(directorysize(APP_PATH.'download/'));
		}
		catch(Exception $e)
		{
			if(APP_DEBUG_LEVEL)
			throw new FrameworkImportedException($e);
			else
			{
				$this->response->spaceConsumption = 0;
				$this->response->userCount = 0;
			}
		}
	}

	function revenue()
	{
		if(!$this->data->user->isAdmin())
		$this->request->redirectManialinkArgList('user','index');

		try
		{
			if(STATISTICS_GRAPHIC_STATUS)
			{
				$graphData = new CGraphData(sha1('daily_revenue_133742'), 'Daily revenue');
				if(CGraphManager::CacheExpired($graphData->Identifier, 3600))
				{
					$graphData->ImportData(StatisticsDao::GetDailyRevenue(0, 14));
					CGraphManager::CreateGraph($graphData);
				}
				$graph = CGraphManager::GetGraphURL($graphData->Identifier);
				$this->response->graphes = array($graph);
			}
			$totalRevenue = StatisticsDao::GetTotalIncomes();

			$this->response->totalRevenue = $totalRevenue.' Coppers';
		}
		catch(Exception $e)
		{
			if(APP_DEBUG_LEVEL)
			throw  new FrameworkImportedException($e);
		}
	}

	function generic_graphes() {}

	function zoom($image)
	{
		$this->response->graph = $image;
	}
}
?>