<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

require_once(APP_PATH.'maniahomeclient/config/config.php');

class usermanagerController extends AbstractManiaHostController
{
	function index()
	{
		$this->request->registerReferer();

		if(!$this->response->isVip)
		$this->response->accountExpirationTime = __date($this->data->user->getExpirationTime());
		else
		$this->response->accountExpirationTime = __('never');
	}

	function credit_account($idSubscription, $periodCount = 0)
	{
		if($periodCount)
		{
			$login = $this->data->user->getLogin();
			try
			{
				$subscription = SubscriptionDao::getSubscription($idSubscription);
				$cost = ceil($subscription->getCost() * 0.95);
				$transactionId = TransactionDao::setTransaction($login,$idSubscription, $cost, TransactionModel::ACTIVE, DEFAULT_PERIOD, 1);
				UserDao::updateTransaction($this->data->user->getId(),$transactionId);
			}
			catch (Exception $e)
			{
				if(APP_DEBUG_LEVEL)
				throw new FrameworkImportedException($e);
				else
				$this->request->redirectManialink(null,'index');
			}
				
			$this->request->set('periodCount', $periodCount - 1);
			$this->session->delete('user');
			$this->session->delete('transaction');
			if($periodCount == 1)
			{
				$this->request->redirectManialinkAbsoluteArgList(APP_MANIALINK, URL_PARAM_NAME_CONTROLLER, URL_PARAM_NAME_ACTION, 'idSubscription', 'periodCount');
			}
			else
			{
				$this->request->redirectManialinkAbsoluteArgList(APP_MANIALINK.':subscription', URL_PARAM_NAME_CONTROLLER, URL_PARAM_NAME_ACTION, 'idSubscription', 'periodCount');
			}
		}
		else
		{
			$this->request->set('periodCount', 'monthcount');
			$this->response->dialogTitle = __('extend_dialog_title');
			$this->response->dialogButtonLabel = __('continue');
			$this->response->dialogButtonManialink = $this->request->createLink(null,'index');
			$this->response->dialogMessage = __('Thanks, your accound will now expire on: ').__date($this->data->user->getExpirationTime());
			$this->request->delete('periodCount');

			$this->response->registerDialog('dialogs','generic_dialog');
			$this->chainActionAndView(null,'index');
			$this->session->delete('user');
			$this->session->delete('transaction');
				
			if(MANIAHOME_STATUS)
			{
				try
				{
					$mhc = new ManiaHomeClient();
					$mhc->sendNotificationToPlayer(
					__('maniahome_extend_message',APP_TITLE),
					$this->data->user->getLogin(),
					APP_MANIALINK,
					ManiaHomeClient::NONE);
				}
				catch (Exception $e)
				{
						
				}
			}
			return;
		}
	}

	function extend()
	{
		$this->request->set('idSubscription', $this->data->transaction->getIdSubscription());
		$this->request->set('periodCount', 'monthcount');
		$this->request->set(URL_PARAM_NAME_ACTION, 'credit_account');
		$this->response->dialogTitle = __('extend_dialog_title');
		$this->response->dialogButtonLabel = __('extend_button');
		$this->response->dialogButtonManialink = $this->request->createAbsoluteLinkArgList(APP_MANIALINK.':subscription',URL_PARAM_NAME_CONTROLLER,URL_PARAM_NAME_ACTION,'idSubscription','periodCount');
		$this->response->dialogButton2Label = __('cancel');
		$this->response->dialogButton2Manialink = $this->request->createLinkArgList(null,'index');
		$this->response->dialogMessage = __('extend_dialog_question');
		$this->response->dialogEntryName = 'monthcount';
		$this->response->dialogEntryDefault = 1;
		$this->request->delete('periodCount');
		$this->request->delete('idSubscription');

		$this->response->registerDialog('dialogs','generic_entry_dialog');
		$this->chainActionAndView(null,'index');
		return;
	}
}
?>
