<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

class DownloadDao
{
	static function setDownload($fileId)
	{
		if(!is_numeric($fileId) || $fileId < 0)
		{
			throw new InvalidArgumentException('$fileId must be of integer type');
		}
		
		$dbInstance = DatabaseFactory::getConnection();
		
		$query = "INSERT INTO `".APP_DATABASE_PREFIX."User` (`fileId`, `downloadTime`) VALUES\n"
							."($fileId, UNIX_TIMESTAMP())";
							
		$resultSet = $dbInstance->execute($query);
		
		return $dbInstance->insertID();
	}
	
	static function getDownloads($fileId, $startTime = null, $periodLength = null)
	{
		if(!is_numeric($fileId) || $fileId < 0)
		{
			throw new InvalidArgumentException('$fileId must be of integer type');
		}
		
		$dbInstance = DatabaseFactory::getConnection();
		
		$query = "SELECT * FROM `".APP_DATABASE_PREFIX."User` WHERE `fileId` = $fileId\n";
		
		if(is_numeric($startTime) && is_numeric($periodLength))
		{
			$dbInstance->query .= "AND downloadTime <= $startTime AND downloadTime >= $startTime - $periodLength";			
		}
		
		$resultSet = $dbInstance->execute($query);
		
		if(!$resultSet->recordCount())
			return array();
		
		$resultArray = array();
		while($result = $resultSet->fetchAssoc())
		{
			if($result)
			{
				$tmp = new Download();
				$tmp->setId($result['id']);
				$tmp->setFileId($result['fileId']);
				$tmp->setDownloadTime($result['downloadTime']);
				$resultArray[] = $tmp;
			}
		}
		return $resultArray;
	}
	
}
?>
