<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

class StatisticsDao
{
	static function GetTotalIncomes()
	{
		$Database = DatabaseFactory::GetConnection();
		$Result = $Database->Execute(
			'SELECT '.
			'SUM(amount * paymentCount) AS Value '.
			'FROM  '.APP_DATABASE_PREFIX.'Transaction '.
			'WHERE status=1 ');

		$tmp = $Result->fetchRow();
		return $tmp[0];
	}
	
	static function GetDailyRevenue($Offset, $Length)
	{
		$Limit = DatabaseTools::GetLimitString($Offset,$Length);
		$Database = DatabaseFactory::GetConnection();
		$Result = $Database->Execute(
			'SELECT '.
			'UNIX_TIMESTAMP(DATE(FROM_UNIXTIME(creationTime + period * paymentCount))) AS Label, '.
			'SUM(amount) AS Value '.
			'FROM  '.APP_DATABASE_PREFIX.'Transaction '.
			'WHERE status=1 '.
			'GROUP BY Label '.
			'ORDER BY Label DESC '.
			$Limit);

		return self::GenerateBarPlotGraphData($Result, 'Total in Coppers');
	}
	
	static function GenerateBarPlotGraphData(DatabaseRecordSet $Result, $Legend)
	{
		$Data = new CGraphData(null, null);
		$Data->ValuesList[$Legend] = array();
		while($Row = $Result->FetchAssoc())
		{
			array_unshift($Data->XLabels, date('j/M',$Row['Label']));
			array_unshift($Data->ValuesList[$Legend], $Row['Value']);
		}
		return $Data;	
	}
}
?>