<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

class SubscriptionDao
{
	/**
	 * 
	 * @param int $id
	 * @return Subscription
	 */
	static function getSubscription($id)
	{
		if(!is_numeric($id))
			throw new InvalidArgumentException('$id must be of integer type');
		
		$dbInstance = DatabaseFactory::getConnection();
		$query = "SELECT * FROM `".APP_DATABASE_PREFIX."Subscription` WHERE `id` = $id";
		
		$resultSet = $dbInstance->execute($query);
		
		if(!$resultSet->recordCount())
			return null;
		
		$subscription = $resultSet->fetchObject('Subscription');
		
		return  $subscription;
	}
	
	/**
	 * 
	 * @param int $offset
	 * @param int $length
	 * @return array
	 */
	static function getSubscriptions($offset = null, $length = null)
	{		
		$dbInstance = DatabaseFactory::getConnection();
		$query = "SELECT * FROM `".APP_DATABASE_PREFIX."Subscription`\n";
		$query .= DatabaseTools::getLimitString($offset,$length);
		
		$resultSet = $dbInstance->execute($query);
		
		$retour = array();
		if($resultSet->recordCount())
		{	
			$retour[] = $resultSet->fetchObject('Subscription');
		}
		return $retour;
	}
	
	/**
	 * 
	 * @param string $name
	 * @param int $cost
	 * @param int $trafficLimit
	 * @param int $period
	 * @return int
	 */
	static function setSubscription($name, $cost, $trafficLimit, $period)
	{
		if(!$name)
			throw new InvalidArgumentException('name cannot be null or empty');
		if(!is_numeric($cost) && $cost <= 0)
			throw new InvalidArgumentException('cost cannot be inferior or equal to 0');
		if(!is_numeric($trafficLimit) && $trafficLimit < 0)
			throw new InvalidArgumentException('trafficLimit cannot be inferior to 0');
		if(!is_numeric($period) && $period <= 0)
			throw new InvalidArgumentException('period cannot be inferior or equal to 0');
			
		$dbInstance = DatabaseFactory::getConnection();
		$nameQuoted = $dbInstance->quote($name);
		$query = "INSERT INTO `".APP_DATABASE_PREFIX."Subscription` (`name`,`cost`,`trafficLimit`,`period`) VALUES\n"
							."($nameQuoted, $cost, $trafficLimit, $period)";
							
		$resultSet = $dbInstance->execute($query);
		
		return $dbInstance->insertID();
	}
}
?>