<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

class TransactionDao
{
	/**
	 * 
	 * @param int $transactionId
	 * @return TransactionModel
	 */
	static function getTransaction($transactionId)
	{
		if(!is_numeric($transactionId))
		{
			throw new InvalidArgumentException('TransactionId must be an integer');
		}
		
		$dbInstance = DatabaseFactory::getConnection();
		
		$query = "SELECT * FROM `".APP_DATABASE_PREFIX."Transaction` WHERE `id` = $transactionId";
		
		$resultSet = $dbInstance->execute($query);
		
		if(!$resultSet->recordCount())
			return null;
			
		$result = $resultSet->fetchAssoc();
		
		$transaction = new TransactionModel();
		$transaction->setId($result['id']);
		$transaction->setLogin($result['login']);
		$transaction->setIdSubscription($result['idSubscription']);
		$transaction->setAmount($result['amount']);
		$transaction->setStatus($result['status']);
		$transaction->setPeriod($result['period']);
		$transaction->setCreationTime($result['creationTime']);
		$transaction->setPaymentCount($result['paymentCount']);
		
		return $transaction;
	}
	
	/**
	 * 
	 * @param string $login
	 * @param int $idSubscription
	 * @param int $amount
	 * @param int $status
	 * @param int $period
	 * @param int $paymentCount
	 * @return int
	 */
	static function setTransaction($login, $idSubscription, $amount, $status = 0, $period = DEFAULT_PERIOD, $paymentCount = 0)
	{
		if(!$login)
			throw new InvalidArgumentException('login');
		if(!is_numeric($amount))
			throw new InvalidArgumentException('$amount');
		if($status != TransactionModel::ACTIVE & $status != TransactionModel::INACTIVE)
			throw new InvalidArgumentException('$status');
		if(!is_numeric($period))
			throw new InvalidArgumentException('$period');
		if(!is_numeric($paymentCount))
			throw new InvalidArgumentException('$paymentCount');
		
		$dbInstance = DatabaseFactory::getConnection();
		$loginQuoted = $dbInstance->quote($login);
		
		$query = "INSERT INTO `".APP_DATABASE_PREFIX."Transaction` (`login`,`idSubscription`,`amount`,`status`,`period`,`creationTime`,`paymentCount`) VALUES\n"
							."($loginQuoted, $idSubscription,$amount,$status,$period,UNIX_TIMESTAMP(),$paymentCount)";
		$resultSet = $dbInstance->execute($query);
		
		return $dbInstance->insertID();
	}
}
?>
