<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

class CleanUsersFilter extends AdvancedFilter
{
	function preFilter()
	{
		if(LAST_CLEAN_TIME + 86400 < time())
		{
			try
			{
				$users = UserDao::getUserExpiredAccount(explode(',', VIP_USERS));
				$usersIds = array();
				foreach ($users as $user)
				{
					$usersIds[] = $user->getId();
					$userDir = APP_PATH.'download/'.$user->getLogin().'/';
					if(file_exists($userDir))
					{
						foreach(scandir($userDir) as $file)
						{
							if($file != '.' && $file != '..')
							{
								FileDao::delFileFromName($file,$user->getId());
								unlink($userDir.$file);
							}
						}
						rmdir($userDir);
					}
				}
				UserDao::rmUsers($usersIds);
				ConfigDao::setConfig(array('LAST_CLEAN_TIME' => time()));
			}
			catch(Exception $e)
			{
				if(APP_DEBUG_LEVEL)
				throw new FrameworkImportedException($e);
			}
		}
	}
}
?>