<?php
/**
 * 
 * @author Philippe melot
 * @copyright Nadeo
 */


function isValidUsername($username)
{
	if(strlen($username) < 1 || strlen($username) > 25)
		return false;
	$match = array();
	if(preg_match_all('/[a-zA-Z0-9._-]+$/', $username, $match) == 1)
		return true;
	else
		return false;
}

function isValidPassword($password)
{
	if(strlen($password) < 1 || strlen($password) > 10)
		return false;
	$match = array();
	if(preg_match_all('/[a-zA-Z0-9._-]+$/', $password, $match) == 1)
		return true;
	else
		return false;
}

function octetToString($value)
{
	$i = 0;
	while((int)($value / 1024) != 0)
	{
		$dec = $value % 1024;
		$value = (int)($value / 1024);
		$i++;
	}
	
	switch ($i)
	{
		case 0:$unit = 'o';
		break;
		case 1:$unit = 'ko';
		break;
		case 2:$unit = 'Mo';
		break;
		case 3:$unit = 'Go';
		break;
		case 4:$unit = 'To';
		break;
		default:$unit = '* 1024^'.$i.' o';
	}
	
	if($i != 0)
	{
		if($dec > 999)
		{
			$round = $dec % 10;
			if($round >= 5)
			{
				$dec = (int)($dec / 10) + 1;
			}
			$dec = (int)($dec / 10);
		}
		return $value.'.'.$dec.' '.$unit;
	}
	else
		return $value.' '.$unit;
}

function directorysize($path)
{
	$files = scandir($path);
	
	$size = 0;
	foreach ($files as $file)
	{
		if($file != '.' & $file != '..')
		{
			if(is_dir($path.$file))
			{
				$size += directorysize($path.$file.'/');
			}
			else
			{
				$size += filesize($path.$file);
			}
		}
	}
	return $size;
}

function return_bytes($val) 
{
    $val = trim($val);
    $last = strtolower(substr($val, -1));
    
    if($last == 'g')
        $val = $val*1024*1024*1024;
    if($last == 'm')
        $val = $val*1024*1024;
    if($last == 'k')
        $val = $val*1024;
        
    return $val;
}
?>