<?php
/**
 *
 * @author Philippe Melot
 * @copyright Nadeo
 */

require_once(APP_INCLUDE_PATH.'utils.php');
require_once(APP_MVC_FRAMEWORK_FILTERS_PATH.'UserAgentCheckFilter.class.php');
require_once(APP_MVC_FRAMEWORK_FILTERS_PATH.'RegisterRequestParametersFilter.class.php');
require_once(APP_MVC_FRAMEWORK_FILTERS_PATH.'DebugFilter.class.php');
require_once(APP_MVC_FILTERS_PATH.'DaoAutoloadFilter.class.php');
require_once(APP_MVC_FILTERS_PATH.'CleanUsersFilter.class.php');
require_once(APP_MVC_FILTERS_PATH.'AuthenticationFilter.class.php');
require_once(APP_MVC_FILTERS_PATH.'VipUserFilter.class.php');
require_once(APP_MVC_FILTERS_PATH.'PlayerDataRetrievalFilter.class.php');
require_once(APP_MVC_FILTERS_PATH.'AdminFilter.class.php');

/**
 * Base controller that register filters that everyone need
 */
abstract class AbstractManiaHostController extends ActionController
{
	/**
	 * @var DataEngine
	 */
	protected $data;

	function __construct($controllerName)
	{
		parent::__construct($controllerName);

		$this->data = DataEngine::getInstance();

		if($playerLogin = $this->request->get('playerlogin'))
		{
			$this->session->set('login', $playerLogin);
		}
		
		$this->addFilter(new UserAgentCheckFilter);
//		$this->addFilter(new RegisterRequestParametersFilter);
		$this->addFilter(new DebugFilter);
		$this->addFilter(new DaoAutoloadFilter);
		$this->addFilter(new CleanUsersFilter);
		//		$this->addFilter(new AuthenticationFilter);
		$this->addFilter(new VipUserFilter);
		$this->addFilter(new PlayerDataRetrievalFilter);
		$this->addFilter(new AdminFilter);
	}
}

?>