<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

class FileCard extends Spacer
{
	public $background;
	public $icon;
	public $filenameLabel;
	public $sizeLabel;
	public $ShareButton;
	public $locatorLabel;
	public $deleteIcon;
	protected $showShare;

	function __construct($sizeX = 76,$sizeY = 8.5)
	{
		parent::__construct($sizeX,$sizeY);

		$this->showShare = true;

		$this->background = new Quad($sizeX,$sizeY);
		$this->background->setStyle(Quad::BgsPlayerCard);
		$this->background->setSubStyle(BgsPlayerCard::BgMediaTracker);

		$this->icon = new Icon128(8);
		$this->icon->setValign('center');
		$this->icon->setSubStyle(Icons128x128_1::Editor);

		$this->filenameLabel = new Label(49);
		$this->filenameLabel->setStyle(Label::TextSubTitle2);
		$this->filenameLabel->setTextColor('222');
		$this->filenameLabel->save();

		$this->sizeLabel = new Label(20);
		$this->sizeLabel->setHalign('right');
		$this->sizeLabel->setTextColor('333');
		$this->sizeLabel->setTextSize(2);

		$this->ShareButton = new Button();
		$this->ShareButton->setHalign('right');
		$this->ShareButton->setScale(0.66);

		$this->locatorLabel = new Entry(49);

		$this->deleteIcon = new Icon64(3);
		$this->deleteIcon->setAlign('right','top');
		$this->deleteIcon->setSubStyle(Icons64x64_1::Close);
	}

	function ShowShareButton($status = false)
	{
		$this->showShare = $status;
	}

	protected function postFilter()
	{
		$pos = GuiTools::getAlignedPos($this,'left','top');
		Manialink::beginFrame($pos['x'], $pos['y'], $this->posZ + 1);
		{
			$this->background->save();
			$this->icon->setPosition(0.5,-4.25,1.1);
			$this->icon->save();
			$this->filenameLabel->setPosition(8,-1,1.1);
			$this->filenameLabel->save();
			$this->sizeLabel->setPosition(70,-1.5,1.1);
			$this->sizeLabel->save();
			if($this->showShare)
			{
				$this->ShareButton->setPosition(75,-4.5,1.1);
				$this->ShareButton->save();
			}
			$this->locatorLabel->setPosition(8,-4.5,1);
			$this->locatorLabel->save();
			$this->deleteIcon->setPosition(75,-1,1.2);
			$this->deleteIcon->save();
		}
		Manialink::endFrame();

	}
}
?>