<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

require_once(MANIAHOME_CLASS_PATH.'RestClient.class.php');

class ManiaHomeClient extends RestClient
{

	const NONE 		= 0;
	const TRACK 	= 1;
	const REPLAY 	= 2;
	
	protected $provider;
	
	public function __construct()
	{
		parent::__construct(MANIAHOME_USERNAME, MANIAHOME_PASSWORD);
		$this->provider = MANIAHOME_MANIALINK;
	}

	public function displayBookmarkButton($manialinkNick, $picture = null)
	{
		$params = array();
		$params['name'] = $manialinkNick;
		$params['url'] = $this->provider;
		if($picture)
			$params['picture'] = $picture;
		
		$fullUrl = 'http://maniahome.trackmania.com/add.php?'.http_build_query($params,'','&');
		return '<include url="'.htmlspecialchars($fullUrl,ENT_COMPAT,'UTF-8',false).'"/>';
	}
	
	public function sendNotificationToPlayer($message, $player, $link, $type = 0)
	{
		
		$this->url = MANIAHOME_SERVICES_URL.'c=Notifications&m=setNotification';
		$this->request->setUrl($this->url);
		
		$this->request->setVerb('POST');
		//Préparation du corps de la requête
		$body = array(
			'message' => $message,
            'emetteur' => $this->provider,
            'login' => $player,
            'link' => $link,
            'type' => $type
		);
		$this->request->buildPostBody($body);
		//Exéctuin
		$this->request->execute();
		//Récupération du header et du corps de la réponse
		$infos = $this->request->getResponseInfo();
		$this->responseBody = $this->request->getResponseBody();
		$this->flush();
		if($infos['http_code'] == 200)
		{
			return true;
		}
		else
		{
			$this->lastError = $infos['http_code'];
			return false;
		}
	}
	
	public function sendNotificationFromManialink($message, $link, $type = 0)
	{
		$this->url = MANIAHOME_SERVICES_URL.'c=Notifications&m=setNotification';
		$this->request->setUrl($this->url);
		
		$this->request->setVerb('POST');
		//Préparation du corps de la requête
		$body = array(
			'message' => $message,
            'emetteur' => $this->provider,
            'link' => $link,
            'type' => $type
		);
		$this->request->buildPostBody($body);
		//Exéctuin
		$this->request->execute();
		//Récupération du header et du corps de la réponse
		$infos = $this->request->getResponseInfo();
		$this->responseBody = $this->request->getResponseBody();
		$this->flush();
		if($infos['http_code'] == 200)
		{
			return true;
		}
		else
		{
			$this->lastError = $infos['http_code'];
			return false;
		}
	}
}
?>