<?php

require_once(MANIAHOME_CLASS_PATH.'RestRequest.class.php');
require_once(MANIAHOME_CLASS_PATH.'RestRequestCurl.class.php');

abstract class RestClient
{
	protected $request;
	protected $url = MANIAHOME_SERVICES_URL;
	protected $lastInsert;
	protected $lastError;
	protected $responseBody;
	
	function __construct($username, $password)
	{
		if(extension_loaded('curl'))
			$this->request = new RestRequestCurl();
		else
			$this->request = new RestRequest();
		
		$this->url .= 'c='.get_class($this);
		$this->request->setUsername($username);
		$this->request->setPassword($password);
	}
	
	function flush()
	{
		$this->request->flush();
		$this->url = MANIAHOME_SERVICES_URL.'c='.get_class($this);
	}
	
	function getLastInsert()
	{
		return $this->lastInsert;
	}
	
	function getLastError()
	{
		return $this->lastError;
	}
	
	function getResponseBody()
	{
		return $this->responseBody;
	}
	
	function getUrl()
	{
		return $this->url;
	}
}