<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

$request = RequestEngineMVC::getInstance();
$response = ResponseEngine::getInstance();

Manialink::beginFrame(0,0,1);
{
	/////////////////////////////////////////////////
	//	Menu
	/////////////////////////////////////////////////
	$ui = new Navigation();
	$ui->title->setText(APP_TITLE);
	$ui->subTitle->setText(__('admin_pannel'));
	$ui->logo->setStyle(Quad::Icons128x128_1);
	$ui->logo->setSubStyle(Icons128x128_1::ProfileAdvanced);
	$ui->quitButton->text->setText(__('back'));
	$ui->quitButton->setManialink($request->createLinkArgList('user','index'));
	//Menu Buttons
	{
		$ui->addItem();
		$item = $ui->lastItem();
		$item->icon->setSubStyle(Icons128x128_1::ProfileAdvanced);
		$item->text->setText(__('service_settings'));
		$item->setSubStyle(Bgs1::NavButtonBlink);

		$ui->addItem();
		$item = $ui->lastItem();
		$item->icon->setSubStyle(Icons128x128_1::Profile);
		$item->text->setText(__('users_settings'));
		$item->setManialink($request->createLink(null,'user'));

		$ui->addItem();
		$item = $ui->lastItem();
		$item->icon->setStyle(Quad::Icons64x64_1);
		$item->icon->setSubStyle(Icons64x64_1::ManiaLinkHome);
		$item->text->setText(__('maniahome_settings'));
		$item->setManialink($request->createLink(null,'maniahome'));
	}
	$ui->save();

	Manialink::beginFrame(15,0,0);
	{
		$ui = new Panel(80, 35);
		$ui->setAlign('center','center');
		$ui->setSubStyle(Bgs1::BgWindow3);
		$ui->titleBg->setSubStyle(Bgs1::BgTitle3_2);
		$ui->title->setText(__('service_settings_title'));
		$ui->title->setStyle(Label::TextTitle2);
		$ui->save();
		
		//Registration Status Modification
		$ui = new Label(35);
		$ui->setPosition(-36,8,1.1);
		$ui->setText(__('registration_status_label'));
		$ui->setStyle(Label::TextTitle3);
		$ui->save();
		
		$ui = new Icon64(3);
		$ui->setPosition(0,8.25,1.1);
		$ui->setSubStyle($response->statusButtonStatus);
		$ui->setManialink($response->statusButtonLink);
		$ui->save();
		
		$ui = new Label(30);
		$ui->setPosition(5,8,1.1);
		$ui->setText($response->statusInfosLabel);
		$ui->setStyle(Label::TextTitle3);
		$ui->save();
		
		//Manialink Title Modification
		$ui = new Label(35);
		$ui->setPosition(-36,3,1.1);
		$ui->setText(__('app_title_label'));
		$ui->setStyle(Label::TextTitle3);
		$ui->save();
		
		$ui = new Entry(35);
		$ui->setPosition(0,3,1.1);
		$ui->setName('appTitle');
		$ui->setStyle(Label::TextValueMedium);
		$ui->setDefault(APP_TITLE);
		$ui->save();
		$request->set('title','appTitle');

		//URL Modification		
		$ui = new Label(35);
		$ui->setPosition(-36,-2,1.1);
		$ui->setText(__('app_url_label'));
		$ui->setStyle(Label::TextTitle3);
		$ui->save();
		
		$ui = new Entry(35);
		$ui->setPosition(0,-2,1.1);
		$ui->setName('appUrl');
		$ui->setStyle(Label::TextValueMedium);
		$ui->setDefault(APP_URL);
		$ui->save();
		$request->set('url','appUrl');
		
		//Statistics Status Display
		$ui = new Label(35);
		$ui->setPosition(-36,-7,1.1);
		$ui->setText(__('statistics_status_label'));
		$ui->setStyle(Label::TextTitle3);
		$ui->save();
		
		$ui = new Icon64(3);
		$ui->setPosition(0,-6.75,1.1);
		$ui->setSubStyle($response->graphicStatsStatusButton);
		$ui->setManialink($response->graphicStatusButtonLink);
		$ui->save();
		
		$ui = new Label(30);
		$ui->setPosition(5,-7,1.1);
		$ui->setText($response->graphicStatsStatusInfo);
		$ui->setStyle(Label::TextTitle3);
		$ui->save();
		
		$manialink = $request->createLink(null,'changeAppSettings');
		$request->delete('url');
		$request->delete('title');
		//Confirm Button
		$ui = new Button();
		$ui->setHalign('center');
		$ui->setPosition(0,-12,1.1);
		$ui->setText(__('apply'));
		$ui->setManialink($manialink);
		$ui->save();
	}
	Manialink::endFrame();
}
Manialink::endFrame();