<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

$request = RequestEngineMVC::getInstance();
$response = ResponseEngine::getInstance();

Manialink::beginFrame(0,0,1);
{
	/////////////////////////////////////////////////
	//	Menu
	/////////////////////////////////////////////////
	$ui = new Navigation();
	$ui->title->setText(APP_TITLE);
	$ui->subTitle->setText(__('admin_pannel'));
	$ui->logo->setStyle(Quad::Icons128x128_1);
	$ui->logo->setSubStyle(Icons128x128_1::ProfileAdvanced);
	$ui->quitButton->text->setText(__('back'));
	$ui->quitButton->setManialink($request->createLinkArgList('user','index'));
	//Menu Buttons
	{
		$ui->addItem();
		$item = $ui->lastItem();
		$item->icon->setSubStyle(Icons128x128_1::ProfileAdvanced);
		$item->text->setText(__('service_settings'));
		$item->setManialink($request->createLink(null,'index'));

		$ui->addItem();
		$item = $ui->lastItem();
		$item->icon->setSubStyle(Icons128x128_1::Profile);
		$item->text->setText(__('users_settings'));
		$item->setManialink($request->createLink(null,'user'));

		$ui->addItem();
		$item = $ui->lastItem();
		$item->icon->setStyle(Quad::Icons64x64_1);
		$item->icon->setSubStyle(Icons64x64_1::ManiaLinkHome);
		$item->text->setText(__('maniahome_settings'));
		$item->setSubStyle(Bgs1::NavButtonBlink);
	}
	$ui->save();

	Manialink::beginFrame(15,10,0);
	{
		$ui = new Panel(80, 50);
		$ui->setAlign('center','center');
		$ui->setSubStyle(Bgs1::BgWindow3);
		$ui->titleBg->setSubStyle(Bgs1::BgTitle3_2);
		$ui->title->setText(__('maniahome_settings_title'));
		$ui->title->setStyle(Label::TextTitle2);
		$ui->save();

		Manialink::beginFrame(0,18,1.1);
		{
			//ManiaHome Notification Status
			$ui = new Label(34);
			$ui->setPosition(-36, 0, 0);
			$ui->setText(__('maniahome_status_label'));
			$ui->setStyle(Label::TextTitle3);
			$ui->save();

			$manialink = $request->createLinkArgList(null,'changeManiahomeStatus');
			$ui = new Icon64(3);
			$ui->setPosition(0,0,1.1);
			$ui->setSubStyle($response->maniaHomeStatusButton);
			$ui->setManialink($manialink);
			$ui->save();
				
			$ui = new Label(25);
			$ui->setPosition(6, 0, 0);
			$ui->setStyle(Label::TextValueMedium);
			$ui->setText($response->maniaHomeStatusInfo);
			$ui->save();
			$request->set('maxUser','maxUser');

			//ManiaHome:manager Username
			$ui = new Label(34);
			$ui->setPosition(-36, -5, 0);
			$ui->setText(__('maniahome_username_label'));
			$ui->setStyle(Label::TextTitle3);
			$ui->save();

			$ui = new Entry(36);
			$ui->setPosition(0, -5, 0);
			$ui->setName('username');
			$ui->setStyle(Label::TextValueMedium);
			$ui->setDefault(MANIAHOME_USERNAME);
			$ui->save();
			$request->set('username','username');
			
			//ManiaHome:manager Password
			$ui = new Label(34);
			$ui->setPosition(-36, -10, 0);
			$ui->setText(__('maniahome_password_label'));
			$ui->setStyle(Label::TextTitle3);
			$ui->save();

			$ui = new Entry(36);
			$ui->setPosition(0, -10, 0);
			$ui->setName('password');
			$ui->setStyle(Label::TextValueMedium);
			$ui->setDefault(MANIAHOME_PASSWORD);
			$ui->save();
			$request->set('password','password');
			
			//ManiaHome Display Name
			$ui = new Label(34);
			$ui->setPosition(-36, -15, 0);
			$ui->setText(__('maniahome_name_label'));
			$ui->setStyle(Label::TextTitle3);
			$ui->save();

			$ui = new Entry(36);
			$ui->setPosition(0, -15, 0);
			$ui->setName('name');
			$ui->setStyle(Label::TextValueMedium);
			$ui->setDefault(MANIAHOME_NAME);
			$ui->save();
			$request->set('name','name');
			
			//ManiaHome Picture URL
			$ui = new Label(34);
			$ui->setStyle(Label::TextValueMedium);
			$ui->setValign('center');
			$ui->setPosition(-36, -24.5, 0);
			$ui->enableAutonewline();
			$ui->setText(__('maniahome_current_picture_label'));
			$ui->save();
			
			$ui = new Quad(36, 9);
			$ui->setPosition(0, -20, 0);
			$ui->setImage(MANIAHOME_PICTURE,null);
			$ui->save();
			
			$ui = new Button();
			$ui->setHalign('center');
			$ui->setPosition(0, -31, 0);
			$ui->setText(__('maniahome_picture_label'));
			$ui->setManialink($request->createLinkArgList(null,'changeManiahomePicture'));
			$ui->save();

			$manialink = $request->createLinkArgList(null,'changeManiaHomeSettings','username','password','name');
			$request->delete('username');
			$request->delete('password');
			$request->delete('name');
			
			//Confirm Button
			$ui = new Button();
			$ui->setHalign('center');
			$ui->setPosition(0, -36, 0);
			$ui->setText(__('apply'));
			$ui->setManialink($manialink);
			$ui->save();
		}
		Manialink::endFrame();
	}
	Manialink::endFrame();
	
	Manialink::beginFrame(15,-25,0);
	{
		$ui = new Panel(80, 15);
		$ui->setAlign('center','center');
		$ui->setSubStyle(Bgs1::BgWindow3);
		$ui->titleBg->setSubStyle(Bgs1::BgTitle3_2);
		$ui->title->setText(__('maniahome_manager'));
		$ui->title->setStyle(Label::TextTitle2);
		$ui->save();
		
		$ui = new Label(48);
		$ui->setStyle(Label::TextValueMedium);
		$ui->setPosition(-36, 0.5, 0);
		$ui->enableAutonewline();
		$ui->setText(__('maniahome_registered'));
		$ui->save();
		
		$ui = new Button();
		$ui->setPosition(12, -0.75, 0);
		$ui->setText(__('maniahome_goto'));
		$ui->setManialink('ManiaHome:Manager');
		$ui->save();
	}
	Manialink::endFrame();
}
Manialink::endFrame();