<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

$request = RequestEngineMVC::getInstance();
$response = ResponseEngine::getInstance();

Manialink::beginFrame(0,0,1);
{
	/////////////////////////////////////////////////
	//	Menu
	/////////////////////////////////////////////////
	$ui = new Navigation();
	$ui->title->setText(APP_TITLE);
	$ui->subTitle->setText(__('admin_pannel'));
	$ui->logo->setStyle(Quad::Icons128x128_1);
	$ui->logo->setSubStyle(Icons128x128_1::ProfileAdvanced);
	$ui->quitButton->text->setText(__('back'));
	$ui->quitButton->setManialink($request->createLinkArgList('user','index'));
	//Menu Buttons
	{
		$ui->addItem();
		$item = $ui->lastItem();
		$item->icon->setSubStyle(Icons128x128_1::ProfileAdvanced);
		$item->text->setText(__('service_settings'));
		$item->setManialink($request->createLink(null,'index'));
		
		$ui->addItem();
		$item = $ui->lastItem();
		$item->icon->setSubStyle(Icons128x128_1::Profile);
		$item->text->setText(__('users_settings'));
		$item->setSubStyle(Bgs1::NavButtonBlink);
		
		$ui->addItem();
		$item = $ui->lastItem();
		$item->icon->setStyle(Quad::Icons64x64_1);
		$item->icon->setSubStyle(Icons64x64_1::ManiaLinkHome);
		$item->text->setText(__('maniahome_settings'));
		$item->setManialink($request->createLink(null,'maniahome'));
	}
	$ui->save();
	
	Manialink::beginFrame(15,0,0);
	{
		$ui = new Panel(80, 37);
		$ui->setAlign('center','center');
		$ui->setSubStyle(Bgs1::BgWindow3);
		$ui->titleBg->setSubStyle(Bgs1::BgTitle3_2);
		$ui->title->setText(__('users_settings_title'));
		$ui->title->setStyle(Label::TextTitle2);
		$ui->save();
		
		//Registration Status Modification
		$ui = new Label(45);
		$ui->setPosition(-36, 10, 1.1);
		$ui->setText(__('users_number_label'));
		$ui->setStyle(Label::TextTitle3);
		$ui->save();
		
		$ui = new Entry(20);
		$ui->setPosition(15, 10, 1.1);
		$ui->setName('maxUser');
		$ui->setStyle(Label::TextValueMedium);
		$ui->setDefault(MAX_USER);
		$ui->save();
		$request->set('maxUser','maxUser');
		
		//Manialink Title Modification
		$ui = new Label(45);
		$ui->setPosition(-36, 5, 1.1);
		$ui->setText(__('users_space_label'));
		$ui->setStyle(Label::TextTitle3);
		$ui->save();
		
		$ui = new Entry(20);
		$ui->setPosition(15, 5, 1.1);
		$ui->setName('userSpace');
		$ui->setStyle(Label::TextValueMedium);
		$ui->setDefault(SPACE_PER_USER / (1024 * 1024));
		$ui->save();
		$request->set('userSpace','userSpace');

		//URL Modification		
		$ui = new Label(60);
		$ui->setPosition(-36, 0, 1.1);
		$ui->setText(__('users_vips_label'));
		$ui->setStyle(Label::TextTitle3);
		$ui->save();
		
		$ui = new Entry(72, 10);
		$ui->setPosition(-36, -3, 1.1);
		$ui->setName('vips');
		$ui->setStyle(Label::TextValueMedium);
		$ui->enableAutonewline();
		$ui->setDefault(VIP_USERS);
		$ui->save();
		$request->set('vips','vips');
		
		$manialink = $request->createLink(null,'changeUserSettings');
		$request->delete('vips');
		$request->delete('userSpace');
		$request->delete('maxUser');
		//Confirm Button
		$ui = new Button();
		$ui->setHalign('center');
		$ui->setPosition(0, -13.5, 1.1);
		$ui->setText(__('apply'));
		$ui->setManialink($manialink);
		$ui->save();
	}
	Manialink::endFrame();
}
Manialink::endFrame();