<?php
/**
 * 
 * @author Maxime Raoust
 * @copyright Nadeo
 */

$request = RequestEngineMVC::getInstance();
$response = ResponseEngine::getInstance();

////////////////////////////////////////////////////////////////////////////////
// Graph
////////////////////////////////////////////////////////////////////////////////
$graphes = (array) $response->graphes;
if($graphes)
{
	switch(count($graphes))
	{
		case 1: $ypos = 35; $width = 80; break;
		case 2: $ypos = 46; $width = 65; break;
		default: throw new FrameworkUserException(_('2 graphes max'));
	}
	
	$layout = new ColumnLayout(0,0);
	$layout->setMarginHeight(2);
	Manialink::beginFrame(15, $ypos, 1, $layout);
	{
		foreach($graphes as $graph)
		{
			$request->set('image', $graph);
			$manialink = $request->createLinkArgList(null, 'zoom', 'image');
			$request->restore('image');
			
			$ui = new Quad($width, round($width*0.69));
			$ui->setHalign('center');
			$ui->setManialink($manialink);
			$ui->setImage($graph, Quad::USE_ABSOLUTE_URL);
			$ui->save();
		}	
	}
	Manialink::endFrame();
}

?>