<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

$request = RequestEngineMVC::getInstance();
$response = ResponseEngine::getInstance();

Manialink::beginFrame(0,0,1);
{
	$ui = new Navigation();
	$ui->title->setText(APP_TITLE);
	$ui->subTitle->setText('The Hosting Library');
	$ui->logo->setStyle(Quad::Icons128x128_1);
	$ui->logo->setSubStyle(Icons128x128_1::Load);
	$ui->quitButton->text->setText(__('logout'));
	$ui->quitButton->setManialink($request->createLinkArgList(null,'logout'));

	if($response->isAdmin)
	{
		$ui->addItem(Navigation::BUTTONS_BOTTOM);
		$item = $ui->lastItem();
		$item->text->setText(__('admin_pannel'));
		$item->icon->setSubStyle(Icons128x128_1::ProfileAdvanced);
		$item->setManialink($request->createLink('admin','index'));
		
		$ui->addItem(Navigation::BUTTONS_BOTTOM);
		$item = $ui->lastItem();
		$item->text->setText(__('statistics'));
		$item->icon->setSubStyle(Icons128x128_1::Statistics);
		$item->setManialink($request->createLink('statistics','index'));
	}
	$ui->addItem(Navigation::BUTTONS_BOTTOM);
	$item = $ui->lastItem();
	$item->text->setText(__('user_pannel'));
	$item->icon->setSubStyle(Icons128x128_1::Profile);
	$item->setManialink($request->createLink('usermanager','index'));
	$ui->save();

	//Space Disk
	Manialink::beginFrame(-63.5,39.5,1.1);
	$ui = new Quad(29,11);
	$ui->setPosition(0,0,0);
	$ui->setStyle(Quad::Bgs1);
	$ui->setSubStyle(Bgs1::NavButton);
	$ui->save();

	$ui = new Icon128(8);
	$ui->setPosition(0,1,0.1);
	$ui->setSubStyle(Icons128x128_1::Launch);
	$ui->save();

	$ui = new Label();
	$ui->setPosition(8,-1,1.3);
	$ui->setStyle(Label::TextButtonNav);
	$ui->setText(__('disk_usage')."\n$response->usedSpaceString / $response->maxSpaceString");
	$ui->save();

	$ui = new Quad(28,3);
	$ui->setPosition(0.5,-7.5,1.2);
	$ui->setStyle(Quad::Bgs1);
	$ui->setSubStyle(Bgs1::BgProgressBar);
	$ui->save();

	$sizeX = ($response->usedSpace / $response->maxSpace) * 26.5;
	$ui = new Quad($sizeX, 2);
	$ui->setPosition(1,-8,1.3);
	$ui->setStyle(Quad::Bgs1);
	$ui->setSubStyle(Bgs1::ProgressBarSmall);
	$ui->save();
	Manialink::endFrame();

	//Body Itself
	Manialink::beginFrame(15,0,1);
	{
		$ui = new Panel(80,80);
		$ui->setAlign('center','center');
		$ui->setSubStyle(Bgs1::BgWindow3);
		$ui->titleBg->setSubStyle(Bgs1::BgTitle3_2);
		$ui->title->setStyle(Label::TextTitle2);
		$ui->title->setText(__('your_files'));
		$ui->save();

		//Upload Button
		$manialink = $request->createLinkArgList(null,'upload');
		Manialink::beginFrame(-15,33,1);
		$ui = new Quad(30,5);
		$ui->setSubStyle(Bgs1::BgButtonBig);
		$ui->setManialink($manialink);
		$ui->save();

		$ui = new Label();
		$ui->setHalign('right');
		$ui->setPosition(28,-0.75,1.1);
		$ui->setStyle(Label::TextButtonBig);
		$ui->setText('$444'.__('file_upload'));
		$ui->save();

		$ui = new Icon128(8);
		$ui->setPosition(-1,1.5,1.1);
		$ui->setSubStyle(Icons128x128_1::Download);
		$ui->save();
		Manialink::endFrame();


		//File Information
		$layout = new ColumnLayout(76,80);
		Manialink::beginFrame(-38,25,1, $layout);
		{
			foreach ($response->files as $file)
			{
				$request->set('fid',$file->getId());
				$manialink = $request->createLinkArgList(null,'delFile','fid');
				$ui = new FileCard();
				$ui->filenameLabel->setText($file->getName());
				$ui->sizeLabel->setText(__('size',octetToString($file->getSize())));
				$ui->locatorLabel->setDefault(APP_URL.'download/'.$response->username.'/'.rawurlencode($file->getName()));
				$ui->deleteIcon->setManialink($manialink);
				if(MANIAHOME_STATUS)
				{
					$manialink = $request->createLinkArgList(null,'share','fid');
					$ui->ShareButton->setText(__('share'));
					$ui->ShareButton->setManialink($manialink);
				}
				else
				{
					$ui->ShowShareButton(false);
				}
				$ui->save();
			}
			$request->delete('fid');
		}
		Manialink::endFrame();

		//Multipage Button
		$response->multipage->pageNavigator->showLast();
		$response->multipage->pageNavigator->setSize(4, null);
		$response->multipage->pageNavigator->setPosition(0, -36, 1);
		$response->multipage->savePageNavigator();
	}
	Manialink::endFrame();
}
Manialink::endFrame();
?>
