<?php
/**
 * 
 * @author Philippe Melot
 * @copyright Nadeo
 */

$request = RequestEngineMVC::getInstance();
$response = ResponseEngine::getInstance();

////////////////////////////////////////////////////////////////////////////////
// Navigation
////////////////////////////////////////////////////////////////////////////////
$ui = new Navigation;
$ui->title->setText(APP_TITLE);
$ui->subTitle->setText(__('user_pannel'));
$ui->logo->setSubStyle(Icons128x128_1::Profile);

$manialink = $request->createLinkArgList('user', 'index');
$ui->quitButton->setManialink($manialink);
$ui->quitButton->text->setText('Back');
$ui->save();

////////////////////////////////////////////////////////////////////////////////
// Body
////////////////////////////////////////////////////////////////////////////////

Manialink::beginFrame(15,0,1);
{
	$ui = new Panel(80, 25);
	$ui->setAlign('center','center');
	$ui->title->setText(__('account_infos'));
	$ui->title->setStyle(Label::TextTitle2);
	$ui->titleBg->setSubStyle(Bgs1::BgTitle3_2);
	$ui->save();

	$ui = new Label(76);
	$ui->setHalign('center');
	$ui->setPosition(0, 5, 1.1);
	$ui->setStyle(null);
	if($response->isVip)
	$text = __('account_expiration_vip');
	else
	$text = __('account_expiration_normal',$response->accountExpirationTime);
	$ui->setText($text);
	$ui->save();


	if(!$response->isVip)
	{
		$ui = new Label(76);
		$ui->setHalign('center');
		$ui->setPosition(0, -1, 1.1);
		$ui->setStyle(null);
		$ui->setText(__('extend_info'));
		$ui->save();

		$ui = new Button();
		$ui->setHalign('center');
		$ui->setText(__('extend_button'));
		$ui->setPosition(0, -7, 1.1);
		$ui->setManialink($request->createLink(null,'extend'));
		$ui->save();
	}
}
Manialink::endFrame();
?>